﻿@model BeerOverflow.Web.Models.CountryViewModel

@{
    ViewData["Title"] = "CreateCountry";
}

    <h1 style="color:#b58900">Create a new country</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateCountry">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ISO" class="control-label"></label>
                <input asp-for="ISO" class="form-control" />
                <span asp-validation-for="ISO" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-controller="Country" asp-action="ListCountry">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
